Graddle dependencies sur le RecyclerView

#1

Bonjour à tous,

En cliquant sur la flèche de téléchargement du RecyclerView dans l’outil de layout, je génère une dependencie différente de l’androidx :

Fichier Graddle il y a quelques mois :

J’ai donc replacé les anciennes dependencies sur mon nouveau projet car j’avais des problèmes de compilation (RecyclerView et appcompat)

Est-ce que quelqu’un utilise ces nouvelles dependencies sans problème ?

#2

Hello,

Ouaip, je suis en

androidTestImplementation 'androidx.test:runner:1.2.0'
implementation 'androidx.appcompat:appcompat:1.0.2'
implementation 'androidx.recyclerview:recyclerview:1.0.0'

Et mon application fonctionne bien. Par contre, c’est vrai qu’il m’a fallu quelques heures le temps de tout migrer sous androidx aussi bien dans les layouts que certaines petites options dans le code aussi.

#3

Hello Schtipoun,

Ta configuration est la même que mon ancienne.

Par contre, quand je recrée un nouveau projet, j’ai les versions V7 qui ne sont pas sur androidx. Et c’est celles là qui me générent des erreurs de compilation.

#4

Ah je n’ai pas encore créé de nouveau projet depuis.
Mais dès le début du projet, ça devrait être plus simple, de faire un Refactor > Migrate to AndroidX, non ?

#5

Je connaissais pas la manip mais j’essaierai :slight_smile: